import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { NzModalRef } from 'ng-zorro-antd/modal';
import { NzCascaderOption } from 'ng-zorro-antd/cascader';
import { DEF } from '../../../../../api';
export declare class IdentityUserUsersUpdateComponent implements OnInit {
    private nzModalRef;
    cities: Array<NzCascaderOption>;
    formGroup: FormGroup;
    record: DEF.Identity.ApplicationUser;
    saving: boolean;
    constructor(nzModalRef: NzModalRef);
    handleCancel(): void;
    handleOk(): void;
    ngOnInit(): void;
}
